<div class="card-body card-login">
  <h2 class="mb-3">Passwort zurücksetzen</h2>
  <form name="form" (ngSubmit)="f.form.valid && resetPassword()" #f="ngForm" novalidate *ngIf="!resetSuccess">
    <div class="form-group">
      <label for="newPasswordInput" class="required">Neues Passwort</label>
      <input id="newPasswordInput" class="form-control" type="password"
             #newPassword="ngModel" [(ngModel)]="password.newPassword"
             name="newPasswordInput" placeholder="Passwort"
             required eosPasswordStrength>
      <app-show-form-errors [control]="newPassword"></app-show-form-errors>
    </div>
    <div class="form-group">
      <label for="newPasswordConfirmInput" class="required">Neues Passwort bestätigen</label>
      <input id="newPasswordConfirmInput" class="form-control" type="password"
             #newPasswordConfirm="ngModel" [(ngModel)]="password.confirm"
             name="newPasswordConfirmInput" placeholder="Passwort"
             required eosEqualsValidator="newPasswordInput">
      <app-show-form-errors [control]="newPasswordConfirm"></app-show-form-errors>
    </div>
    <div class="form-group">
      <button [disabled]="loading" class="btn btn-primary btn-block"><i class="fas fa-sign-in-alt"></i> Passwort zurücksetzen <span *ngIf="loading">loading...</span> </button>
    </div>
  </form>
  <div *ngIf="resetSuccess">
    <alert type="success"><b>Passwort wurde zurückgesetzt</b> Du kannst dich jetzt mit dem neuen Passwort anmelden. </alert>
  </div>
  <span><a routerLink="/start/login">Zurück zum Login</a></span>
</div>